Subject: Re: CUPS :631/admin interface freezes
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Thu, 24 Jun 2021 04:18:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've pushed some patches I've been using since ‘forever’ to 
core-updates.  They simply remove the entire right-hand ‘Server’ 
form, and short-circuit the logic behind it that caused the long 
delays.

An older work-around I tried was to simply link to the store 
cupsd.conf in /etc/cups.  This solves the immediate problem, and 
even allows viewing (not editing) a few settings in said form. 
It's an option for those who can't wait for core-updates to be 
merged (don't forget to delete it next year… :-).

However, doing so merely hides the fact that this code is broken 
with -c FILE by effectively circumventing the option in a very 
sneaky way.  A step back, not forward.

Kind regards,

T G-R